<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\Shop\Dashboards;
use Illuminate\Http\Request;

class HomeController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index(Request $request, $period = false)
    {
        $data = $request->all();
        $start = $request->input('start');
        $end = $request->input('end');
        $data = Dashboards::getStats($start, $end);

        // dump($data);
        return view('Admin.Shop.Dashboard.index', $data);
    }
}
